import { TouchBaseSchema } from '@isa/common/data-access';
import { z } from 'zod';

export const UrlSchema = z
  .object({
    nofollow: z.boolean().describe('Nofollow').optional(),
    target: z.string().describe('Target').optional(),
    title: z.string().describe('Title').optional(),
    url: z.string().describe('URL address').optional(),
  })
  .extend(TouchBaseSchema.shape);

export type Url = z.infer<typeof UrlSchema>;
